# include/board/Shapes.h File Reference

More...

`#include "board/Point.h"`
`#include "board/Rect.h"`
`#include "board/Path.h"`
`#include "board/Color.h"`
`#include "board/Transforms.h"`
`#include "board/PSFonts.h"`
`#include "board/Tools.h"`
`#include <string>`
`#include <vector>`
`#include <iostream>`
`#include <map>`
`#include <cmath>`
`#include "Shapes.ih"`

Go to the source code of this file.

## Classes

struct | LibBoard::Shape
| Abstract structure for a 2D shape. More...
struct | LibBoard::Dot
| A line between two points. More...
struct | LibBoard::Line
| A line between two points. More...
struct | LibBoard::Arrow
| A line between two points with an arrow at one extremity. More...
struct | LibBoard::Polyline
| A polygonal line described by a series of 2D points. More...
struct | LibBoard::Rectangle
| A rectangle. More...
struct | LibBoard::Triangle
| A triangle. Basically a Polyline with a convenient constructor. More...
struct | LibBoard::GouraudTriangle
| A triangle with shaded filling according to colors given for each vertex. More...
struct | LibBoard::Ellipse
| An ellipse. More...
struct | LibBoard::Circle
| A circle. More...
struct | LibBoard::Text
| A piece of text. More...

## Defines

#define | M_PI_2 1.57079632679489661923

## Functions

bool | LibBoard::shapeGreaterDepth (const Shape *s1, const Shape *s2)

## Detailed Description

Author:
  Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>

Date:
  Sat Aug 18 2007